<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ktg.iscs.mapper.IsMaterialsPlanCabinetMapper">

    <select id="getCheckPlanCabinetList" resultType="com.ktg.iscs.domain.IsMaterialsPlanCabinet">
        select pc.*,
               p.plan_name,
               c. cabinet_name
               from is_materials_plan_cabinet pc
        left join is_materials_check_plan p on p.plan_id = pc. plan_id
        left join is_materials_cabinet c on c.cabinet_id = pc.cabinet_id
        <where>
            pc.plan_id = #{dto.planId}
        </where>
    </select>
</mapper>
